
using Godot;

namespace Rokojori
{  
  public class RDSampler: RenderingObject
  {
    public RDSampler( RokojoriCompositorEffect effect, Rid rid ):base( effect, rid )
    {}

    public static RDSampler Create( RokojoriCompositorEffect effect, RDSamplerState samplerState )
    {
      return new RDSampler( effect, effect.rd.SamplerCreate( samplerState ) );  
    }
  }
}